View Issue Details

IDProjectCategoryView StatusLast Update
0000392FreeCADBugpublic2011-08-01 06:25
ReportertrojkaAssigned To 
PrioritynormalSeveritymajorReproducibilityrandom
Status closedResolutionfixed 
Product Versiontrunk 
Target VersionFixed in Version0.12 
Summary0000392: Sketch shows different shabe as pad
Description- Crating a sketch with several lines
- creating a constrain on one line length
- creating a locking constrain on one point of the line
- Closing sketch
- padding sketch
- edit sketch again
- Moving point with constrain
- closing (no update of pad)
- edit sketch again
- mismatch a shown in attached screen shot
TagsNo tags attached.

Activities

2011-06-25 19:28

 

Bug sketcher 012_4447_bug2.png (Attachment missing)

trojka

2011-06-25 19:29

reporter   ~0000913

Moving a point with constrain on location should not be possible
Add a option to edit location constrain would be nice

Jriegel

2011-06-26 06:29

administrator   ~0000915

Agree with the constraint. But the sketcher is under development and not
finished yet. There are a lot of edges to it we know. But we need time
to develop further.

Besides, the pad is a PartDesign feature. I shall only generate solids.
So on that kind of sketch (not closed) it will always fail! Use the
Extrusion feature from Part.

wmayer

2011-08-01 06:25

administrator   ~0000967

With the recent changes this has been fixed now. It's also possible to change x.y values of the constraint point.

Issue History

Date Modified Username Field Change
2011-06-25 19:28 trojka New Issue
2011-06-25 19:28 trojka File Added: Bug sketcher 012_4447_bug2.png
2011-06-25 19:29 trojka Note Added: 0000913
2011-06-26 06:29 Jriegel Note Added: 0000915
2011-08-01 06:25 wmayer Note Added: 0000967
2011-08-01 06:25 wmayer Status new => closed
2011-08-01 06:25 wmayer Resolution open => fixed
2011-08-01 06:25 wmayer Fixed in Version => 0.12